GET /api/v3/widget/map/{specificWidgetId} Deprecated

Retrieves map data for a specific map widget NOTE: Does not support global dashboard filtering with Topmost Place, Place Group API filters.

GetMapPlacesV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Specific widget identifier to get the data for integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MapPlace
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
placeCode The place code string
placeId The identifier for place integer (int32)
placeInfo The place information string
Example Response application/json
[
  {    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "latitude": 1.0,      "line1": "string",      "line2": "string",      "line3": "string",      "longitude": 1.0,      "postalCode": "string",      "remitTo": "string",      "state": "string"
    },    "placeCode": "string",    "placeId": 1,    "placeInfo": "string"
  }
]